"{ Package: 'stx:libsvn' }"

LibraryDefinition subclass:#stx_libsvn
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libsvn class methodsFor:'documentation'!

extensionsVersion_CVS
    ^ '$Header$'
! !

!stx_libsvn class methodsFor:'description'!

excludedFromPreRequisites  
    "list packages which are to be explicitely excluded from the automatic constructed
     prerequisites list. If empty, everything that is found along the inheritance of any of
     my classes is considered to be a prerequisite package."

    ^ #(
        #'cvut:stx/goodies/libtool3'
    )

    "Modified: / 17-08-2006 / 19:48:59 / cg"
!

postLoadAction

    NewLauncher 
        addSettingsApplicationByClass: SVN::SettingsApp fullName asSymbol
        withName:'Subversion'
        icon: nil

    "Created: / 24-05-2008 / 01:55:31 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 27-05-2008 / 07:41:29 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

preRequisites
    ^ #(
        #'stx:goodies/sunit'    "TestCase - superclass of SVN::TestCase "
        #'stx:goodies/xml/vw'    "XML::Node - referenced by SVN::WCEntry class>>readFromXml: "
        #'stx:libbasic'    "Object - superclass of SVN::RevisionLogBrowser "
        #'stx:libbasic2'    "UUID - referenced by SVN::RepositoryManager>>workingCopyBase "
        #'stx:libbasic3'    "AbstractSourceCodeManager - superclass of SVNSourceCodeManager "
        #'stx:libtool'    "AbstractSettingsApplication - superclass of SVN::SettingsApp "
        #'stx:libtool2'    "MenuEditor - referenced by SVN::IconLibrary class>>initialize "
        #'stx:libview'    "ImageMask - referenced by SVN::IconLibrary class>>question_ov "
        #'stx:libview2'    "Model - superclass of SVN::UpdateWizard "
        #'stx:libwidg2'    "LabelAndIcon - referenced by SVN::CommitWizard>>updateWarning "
    )
! !

!stx_libsvn class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        OSProcess
        #'SVN::ActivityNotification'
        #'SVN::AuthorizationError'
        #'SVN::Branch'
        #'SVN::BranchQuery'
        #'SVN::Browser'
        #'SVN::Command'
        #'SVN::CompatModeQuery'
        #'SVN::Credentials'
        #'SVN::Dialog'
        #'SVN::Entry'
        #'SVN::Enum'
        #'SVN::Error'
        #'SVN::IconLibrary'
        #'SVN::Property'
        #'SVN::Repository'
        #'SVN::RepositoryConfiguration'
        #'SVN::RepositoryManager'
        #'SVN::Revision'
        #'SVN::SettingsApp'
        #'SVN::Task'
        #'SVN::TestCase'
        #'SVN::WCAction'
        #'SVN::WCActionNotification'
        #'SVN::WCError'
        #'SVN::WizardPane'
        #'SVN::WorkingCopy'
        #'SVN::XMLObject'
        SVNSourceCodeManager
        #'stx_libsvn'
        #'SVN::BranchCommand'
        #'SVN::BranchSelectionDialog'
        #'SVN::CVSTask'
        #'SVN::CommitTests'
        #'SVN::CreateRepositoryCommand'
        #'SVN::CredentialsDialog'
        #'SVN::FileoutLikeTask'
        #'SVN::NodeKind'
        #'SVN::NonExistentURLError'
        #'SVN::ProgressDialog'
        #'SVN::ProgressNotification'
        #'SVN::RepositoryConfigurationDialog'
        #'SVN::RepositoryEntry'
        #'SVN::RevisionDate'
        #'SVN::RevisionHead'
        #'SVN::RevisionLogBrowser'
        #'SVN::RevisionLogEntry'
        #'SVN::RevisionNumber'
        #'SVN::RevisionSelectionDialog'
        #'SVN::Status'
        #'SVN::UnknownError'
        #'SVN::WCActionAdded'
        #'SVN::WCActionConflict'
        #'SVN::WCActionDeleted'
        #'SVN::WCActionMerged'
        #'SVN::WCActionModified'
        #'SVN::WCActionNone'
        #'SVN::WCActionRestored'
        #'SVN::WCActionUpdated'
        #'SVN::WCCommand'
        #'SVN::WCEntry'
        #'SVN::WCEntryInfo'
        #'SVN::Wizard'
        #'SVN::WorkingCopyBrowser'
        #'SVN::WorkingCopyLockedError'
        #'SVN::CatCommand'
        #'SVN::CleanupCommand'
        #'SVN::CommitTask'
        #'SVN::CommitWizard'
        #'SVN::CopyCommand'
        #'SVN::ImportFromCVSTask'
        #'SVN::ListCommand'
        #'SVN::LogCommand'
        #'SVN::MoveCommand'
        #'SVN::NodeKindDir'
        #'SVN::NodeKindFile'
        #'SVN::NodeKindNone'
        #'SVN::NodeKindUnknown'
        #'SVN::StatusAdded'
        #'SVN::StatusConflicted'
        #'SVN::StatusDeleted'
        #'SVN::StatusIgnored'
        #'SVN::StatusIncomplete'
        #'SVN::StatusMissing'
        #'SVN::StatusModified'
        #'SVN::StatusNormal'
        #'SVN::StatusObstructed'
        #'SVN::StatusReplaced'
        #'SVN::StatusUnversioned'
        #'SVN::SyncWithCVSTask'
        #'SVN::UpdateLikeCommand'
        #'SVN::UpdateTask'
        #'SVN::UpdateWizard'
        #'SVN::WCPathCommand'
        #'SVN::AddCommand'
        #'SVN::CheckoutCommand'
        #'SVN::CommitCommand'
        #'SVN::DeleteCommand'
        #'SVN::InfoCommand'
        #'SVN::PropsetCommand'
        #'SVN::RevertCommand'
        #'SVN::StatusCommand'
        #'SVN::UpdateCommand'
    )
!

extensionMethodNames
    ^ #(
        ChangeSet changesForPackage:
        ChangeSet condenseChanges
        ChangeSet condenseChangesForPackage2:
        ChangeSet diffSetsAgainstImage
        Class fileOutAsMethodIn:selector:
        Class svnRepository
        Filename directoryContentsAsFilenamesMatching:
        Filename directoryContentsMatching:
        Method makeSourceFileAbsolute
        MethodChange isForGeneratedSubject
        #'Tools::NewSystemBrowser' classMenuSubversionCommit
        #'Tools::NewSystemBrowser' classMenuSubversionCompareImageWithRevision
        #'Tools::NewSystemBrowser' classMenuSubversionCompareImageWithRevision:
        #'Tools::NewSystemBrowser' classMenuSubversionCompareImageWithRevisionHead
        #'Tools::NewSystemBrowser' classMenuSubversionUpdate
        #'Tools::NewSystemBrowser' hasSingleClassAndSubversionRepositoryExists
        #'Tools::NewSystemBrowser' projectMenuSubversionBranches
        #'Tools::NewSystemBrowser' projectMenuSubversionBrowseWorkingCopy
        #'Tools::NewSystemBrowser' projectMenuSubversionCommit
        #'Tools::NewSystemBrowser' projectMenuSubversionCommitMode
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareExtensionsInImageWithRevision
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareExtensionsInImageWithRevision:
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareImageWithRevision
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareImageWithRevision:
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareImageWithRevisionHEAD
        #'Tools::NewSystemBrowser' projectMenuSubversionLoadRevision
        #'Tools::NewSystemBrowser' projectMenuSubversionLoadRevision:
        #'Tools::NewSystemBrowser' projectMenuSubversionMergeImageWithRevision
        #'Tools::NewSystemBrowser' projectMenuSubversionMergeImageWithRevision:
        #'Tools::NewSystemBrowser' projectMenuSubversionMergeImageWithRevisionHEAD
        #'Tools::NewSystemBrowser' projectMenuSubversionRemoveWorkingCopy
        #'Tools::NewSystemBrowser' projectMenuSubversionShowRevisionLog
        #'Tools::NewSystemBrowser' projectMenuSubversionUpdate
        #'Tools::NewSystemBrowser' selectedProjectSubversionRepository
        URL isValidSvnRepositoryUrl
        #'XML::NodeSet' #'@'
        'ChangeSet class' forPackage:
        'ChangeSet class' forPackage:ignoreAutoloaded:
        'Tools::NewSystemBrowser class' classMenuSubversion
        'Tools::NewSystemBrowser class' projectMenuSubversion
    )
! !

!stx_libsvn class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'CTU-FEI'

    "Modified: / 06-04-2008 / 21:20:20 / janfrog"
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'SubVersion support for Smalltalk/X'

    "Modified: / 06-04-2008 / 21:20:38 / janfrog"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Jan Vrany 2008'

    "Modified: / 06-04-2008 / 21:20:55 / janfrog"
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X Subversion support'

    "Modified: / 06-04-2008 / 21:21:14 / janfrog"
! !

!stx_libsvn class methodsFor:'description - svn'!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'112'"$"
! !

!stx_libsvn class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: cvut_stx_goodies_libsvn.st,v 1.1 2009/09/23 19:47:57 cg Exp '
! !
